
QGIS Application - Bug report #18760

DXF export loses symbol and point heights

2018-04-19 09:09 AM - Kepes Ádám

Status: Open

Priority: Normal

Assignee:

Category: DXF export

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26647

Description

two cases has been tried:

when exporting the whole view with file->dxf export all point the points and symbols get to 0 height, the lines comes with correct height

when trying to do it with 'save as', there comes no symbol exported

This makes qgis unsuitable to post process and format-symbol dxf files, then reexport them. With this fixed, qgis would be the most

suitable for this kind of tasks (with auto-formating lines and points by layer and point attributes!)

Related issues:

Related to QGIS Application - Bug report # 17314: export to dxf format - z di... Closed 2017-10-21

History

#1 - 2018-08-23 01:00 PM - Kepes Ádám

any news about this issue? very unpleasant

#2 - 2018-08-23 01:03 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

- Easy fix? changed from Yes to No

Any difference with 3.2 or master?

#3 - 2018-08-23 01:33 PM - Kepes Ádám

Giovanni Manghi wrote:

Any difference with 3.2 or master?

unfortunately no, still the same with 3.2 and 3.3 too :(

#4 - 2018-08-23 06:14 PM - Giovanni Manghi

- Affected QGIS version changed from 3.0.1 to 3.3(master)
Kepes Ádám wrote:

Giovanni Manghi wrote:

Any difference with 3.2 or master?

unfortunately no, still the same with 3.2 and 3.3 too :(

does it works as expected on 2.18?

#5 - 2018-10-28 10:48 PM - Kepes Ádám

Giovanni Manghi wrote:

Kepes Ádám wrote:

Giovanni Manghi wrote:

Any difference with 3.2 or master?

unfortunately no, still the same with 3.2 and 3.3 too :(

does it works as expected on 2.18?

3.4 hasn't fixed it too. (*2.18 does it correctly, BUT loses the height of expression-sized symbols)

#6 - 2018-10-28 11:39 PM - Nyall Dawson

Can you share a self contained project & simple data file we can use as a test case here? (Along with a sample of what you'd expect to see in the dxf

output).

#7 - 2018-10-29 12:25 AM - Kepes Ádám

- File 3Dpoints_dxf export problem.zip added

- File half-good sample.dxf added

Nyall Dawson wrote:

Can you share a self contained project & simple data file we can use as a test case here? (Along with a sample of what you'd expect to see in the

dxf output).

Ok! I attached a project, and a semi-good sample made with 2.18... but that can only 3D export fix sized symbols. Still more than 3.4 can

#8 - 2018-10-29 09:15 PM - Giovanni Manghi

- Status changed from Feedback to Open
#9 - 2019-02-18 11:45 AM - Jürgen Fischer

- Related to Bug report #17314: export to dxf format - z dimension added

Files

test.jpg 32.5 KB 2018-04-19 Kepes Ádám

meres.dxf 1.16 MB 2018-04-19 Kepes Ádám

3Dpoints_dxf export problem.zip 2.26 MB 2018-10-28 Kepes Ádám

half-good sample.dxf 211 KB 2018-10-28 Kepes Ádám
